Shopify product/collection webhook for one connection — HMAC-verified, unauthenticated by design
POST
/api/v1/providers/shopify/webhook/{connectionId}
const url = 'https://example.com/api/v1/providers/shopify/webhook/example';const options = { method: 'POST', headers: { 'x-shopify-hmac-sha256': 'example', 'x-shopify-topic': 'example', 'x-shopify-shop-domain': 'example' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/providers/shopify/webhook/example \ --header 'x-shopify-hmac-sha256: example' \ --header 'x-shopify-shop-domain: example' \ --header 'x-shopify-topic: example'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”connectionId
required
string
Header Parameters
Section titled “Header Parameters”x-shopify-hmac-sha256
required
string
x-shopify-topic
required
string
x-shopify-shop-domain
required
string